#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x5ed303be, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x1a373ed8, "usb_register_driver" },
	{ 0xced72afc, "usb_set_interface" },
	{ 0xeeaa737a, "usb_autopm_put_interface" },
	{ 0x9904a97e, "usb_autopm_get_interface" },
	{ 0x1adb62a4, "_raw_spin_unlock" },
	{ 0x84741c31, "_raw_spin_lock" },
	{ 0x9a4cf831, "kfree_skb" },
	{ 0x9cd9dce, "_raw_spin_unlock_irqrestore" },
	{ 0x56f31e92, "_raw_spin_lock_irqsave" },
	{ 0xd1c44f55, "skb_queue_tail" },
	{ 0xa99dfcdd, "skb_put" },
	{ 0x4fec93fa, "__alloc_skb" },
	{ 0x36787c31, "usb_match_id" },
	{ 0x17567c13, "hci_register_dev" },
	{ 0x3deb9452, "usb_driver_claim_interface" },
	{ 0x6fa9d1e8, "usb_ifnum_to_if" },
	{ 0x70309b5c, "hci_alloc_dev" },
	{ 0x2af7afe1, "__init_waitqueue_head" },
	{ 0x5083fed, "__raw_spin_lock_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x7fd25529, "hci_free_dev" },
	{ 0x68a3b502, "usb_driver_release_interface" },
	{ 0x8093861d, "hci_unregister_dev" },
	{ 0x3801fbe3, "dev_set_drvdata" },
	{ 0x88bfa7e, "cancel_work_sync" },
	{ 0x14d21b20, "usb_kill_anchored_urbs" },
	{ 0xf7a424d2, "_raw_spin_unlock_irq" },
	{ 0x6987eea6, "usb_scuttle_anchored_urbs" },
	{ 0x871f1531, "usb_get_from_anchor" },
	{ 0x1d7d6e7b, "_raw_spin_lock_irq" },
	{ 0xf630c13a, "dev_get_drvdata" },
	{ 0x78acb709, "hci_recv_fragment" },
	{ 0x7d11c268, "jiffies" },
	{ 0x9dd7d49f, "kmem_cache_alloc" },
	{ 0xb7da86d6, "malloc_sizes" },
	{ 0x200d26de, "printk" },
	{ 0x89976fe6, "usb_unanchor_urb" },
	{ 0xe48ca439, "usb_free_urb" },
	{ 0x101a0c6e, "usb_submit_urb" },
	{ 0xba789ed2, "usb_anchor_urb" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x458ee5db, "usb_alloc_urb" },
	{ 0x4588bf0f, "__dynamic_pr_debug" },
	{ 0xf89843f9, "schedule_work" },
	{ 0x573e22ef, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,bluetooth";

MODULE_ALIAS("usb:v*p*d*dcE0dsc01dp01ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp*d*dc*dsc*dp*icFFisc01ip01*");
MODULE_ALIAS("usb:v0A5Cp21E1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E8Dp763Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8213d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8215d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8218d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8281d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v057Cp3800d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BFp030Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v044Ep3001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v044Ep3002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDBp1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A5Cp21E3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C10p0000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0489pE042d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8197d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0489pE033d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A5Cp*d*dc*dsc*dp*icFFisc01ip01*");

MODULE_INFO(srcversion, "1CF67628C7819A6E685F89F");
