#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x5ed303be, "module_layout" },
	{ 0xde4fa8eb, "eth_change_mtu" },
	{ 0x198e0782, "eth_validate_addr" },
	{ 0x5d4fe7a1, "eth_mac_addr" },
	{ 0x1a373ed8, "usb_register_driver" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93fca811, "__get_free_pages" },
	{ 0x56cdd87, "register_netdev" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x1bfcef39, "usb_alloc_coherent" },
	{ 0xc7ec28b0, "memcmp" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x2b245a71, "usb_reset_configuration" },
	{ 0x5083fed, "__raw_spin_lock_init" },
	{ 0xd470ae87, "alloc_etherdev_mqs" },
	{ 0xbe3fa36e, "release_firmware" },
	{ 0xd33d43d9, "request_firmware" },
	{ 0x18bda55c, "netif_carrier_off" },
	{ 0x95c07677, "netif_carrier_on" },
	{ 0x9904a97e, "usb_autopm_get_interface" },
	{ 0xeeaa737a, "usb_autopm_put_interface" },
	{ 0xcfcb988f, "skb_copy_expand" },
	{ 0xf7a424d2, "_raw_spin_unlock_irq" },
	{ 0x1d7d6e7b, "_raw_spin_lock_irq" },
	{ 0x3796355b, "__dev_kfree_skb_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x458ee5db, "usb_alloc_urb" },
	{ 0x9dd7d49f, "kmem_cache_alloc" },
	{ 0xb7da86d6, "malloc_sizes" },
	{ 0x2824f314, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x76bff920, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x2af7afe1, "__init_waitqueue_head" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0xd7b8549b, "__netif_schedule" },
	{ 0x1902adf, "netpoll_trap" },
	{ 0xacef8796, "usb_unlink_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0x34bbb6d7, "dev_warn" },
	{ 0x1d4f820b, "free_netdev" },
	{ 0xac0e0f04, "usb_free_coherent" },
	{ 0xe48ca439, "usb_free_urb" },
	{ 0xa2377ac3, "unregister_netdev" },
	{ 0x3801fbe3, "dev_set_drvdata" },
	{ 0x956e1e7d, "_dev_info" },
	{ 0xfb5f846a, "cancel_delayed_work_sync" },
	{ 0x96c71c99, "usb_kill_urb" },
	{ 0xed620925, "netif_rx" },
	{ 0x59c7fa58, "eth_type_trans" },
	{ 0xa99dfcdd, "skb_put" },
	{ 0x6067a146, "memcpy" },
	{ 0x2f3eba55, "dev_alloc_skb" },
	{ 0x1adb62a4, "_raw_spin_unlock" },
	{ 0x84741c31, "_raw_spin_lock" },
	{ 0x44b4693d, "__wake_up" },
	{ 0x9cd9dce, "_raw_spin_unlock_irqrestore" },
	{ 0x56f31e92, "_raw_spin_lock_irqsave" },
	{ 0xf630c13a, "dev_get_drvdata" },
	{ 0xf1bea6f1, "schedule_delayed_work" },
	{ 0x200d26de, "printk" },
	{ 0x101a0c6e, "usb_submit_urb" },
	{ 0x573e22ef, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "8E563F5EBB8453A1BC4DFF8");
