#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x5ed303be, "module_layout" },
	{ 0xe97c8f15, "rndis_tx_fixup" },
	{ 0xe34f950, "rndis_rx_fixup" },
	{ 0x63541bc8, "rndis_status" },
	{ 0x8d2221dc, "usbnet_resume" },
	{ 0xfbe1fe57, "usbnet_suspend" },
	{ 0xe3944c34, "usbnet_disconnect" },
	{ 0x62dd53c2, "usbnet_probe" },
	{ 0x41baccbc, "usbnet_tx_timeout" },
	{ 0x198e0782, "eth_validate_addr" },
	{ 0x5d4fe7a1, "eth_mac_addr" },
	{ 0x98809da, "usbnet_start_xmit" },
	{ 0x86fde4f3, "usbnet_stop" },
	{ 0x97228559, "usbnet_open" },
	{ 0x810b3618, "param_ops_string" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x1a373ed8, "usb_register_driver" },
	{ 0x573e22ef, "usb_deregister" },
	{ 0xa1086de, "cfg80211_disconnected" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x8f577981, "cfg80211_roamed" },
	{ 0x4f2b71c2, "cfg80211_ibss_joined" },
	{ 0x27a2dd22, "cfg80211_connect_result" },
	{ 0x95c07677, "netif_carrier_on" },
	{ 0x7d11f211, "cfg80211_cqm_rssi_notify" },
	{ 0x9dd7d49f, "kmem_cache_alloc" },
	{ 0xb7da86d6, "malloc_sizes" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x18bda55c, "netif_carrier_off" },
	{ 0x3da7f406, "wiphy_register" },
	{ 0xfc9082f0, "generic_rndis_bind" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x88a193, "__alloc_workqueue_key" },
	{ 0x6d35db6a, "__mutex_init" },
	{ 0x1d549bad, "wiphy_new" },
	{ 0x80966843, "netdev_err" },
	{ 0x83122551, "usbnet_resume_rx" },
	{ 0xf8e054dc, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0x200d26de, "printk" },
	{ 0x829f2c16, "cfg80211_inform_bss" },
	{ 0x7654cead, "__ieee80211_get_channel" },
	{ 0xa886a958, "krealloc" },
	{ 0xa976f0e2, "wiphy_free" },
	{ 0x2211c702, "wiphy_unregister" },
	{ 0x82f5bfc0, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x57c4691b, "queue_delayed_work" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xfa4ebdd6, "_raw_spin_unlock_bh" },
	{ 0xf6432d52, "_raw_spin_lock_bh" },
	{ 0x5f1c3030, "cfg80211_scan_done" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x88bfa7e, "cancel_work_sync" },
	{ 0xfb5f846a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa789020e, "netdev_warn" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0xdcb5671d, "strlen" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xae0aa18c, "mutex_unlock" },
	{ 0xf81bb284, "rndis_command" },
	{ 0x6067a146, "memcpy" },
	{ 0x3fa03a97, "memset" },
	{ 0x66a4f30d, "mutex_lock" },
	{ 0x7132f91e, "usbnet_pause_rx" },
	{ 0x9d12194a, "dev_printk" },
	{ 0xff98f116, "cfg80211_michael_mic_failure" },
	{ 0xc546921c, "netdev_info" },
	{ 0x26576139, "queue_work" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x11089ac7, "_ctype" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rndis_host,usbnet,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01*");

MODULE_INFO(srcversion, "92DFDB4CF5284896614EC0D");
