#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x5ed303be, "module_layout" },
	{ 0xf89ae012, "usb_serial_disconnect" },
	{ 0xdf537843, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x1a373ed8, "usb_register_driver" },
	{ 0x6b7aa8dc, "usb_serial_register" },
	{ 0x3801fbe3, "dev_set_drvdata" },
	{ 0x9831e9e4, "__kfifo_alloc" },
	{ 0x5083fed, "__raw_spin_lock_init" },
	{ 0x6d35db6a, "__mutex_init" },
	{ 0xc7ec28b0, "memcmp" },
	{ 0x9c2981e5, "usb_bulk_msg" },
	{ 0xbe3fa36e, "release_firmware" },
	{ 0x6067a146, "memcpy" },
	{ 0xd33d43d9, "request_firmware" },
	{ 0x3fa03a97, "memset" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x7afb4dc2, "device_create_file" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9143a334, "device_remove_file" },
	{ 0x8510913e, "usb_clear_halt" },
	{ 0x730af4f, "mutex_lock_interruptible" },
	{ 0x2af7afe1, "__init_waitqueue_head" },
	{ 0xae0aa18c, "mutex_unlock" },
	{ 0x66a4f30d, "mutex_lock" },
	{ 0x96c71c99, "usb_kill_urb" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xe526f136, "__copy_user" },
	{ 0x12b3c772, "interruptible_sleep_on" },
	{ 0x5fc1ef76, "tty_encode_baud_rate" },
	{ 0x33c5aaa7, "tty_get_baud_rate" },
	{ 0xe8679178, "__divdi3" },
	{ 0xf9a482f9, "msleep" },
	{ 0xabf7ed79, "remove_wait_queue" },
	{ 0x7d11c268, "jiffies" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x3de6288b, "add_wait_queue" },
	{ 0xffd5a395, "default_wake_function" },
	{ 0x211331fa, "__divsi3" },
	{ 0x37a0cba, "kfree" },
	{ 0x9dd7d49f, "kmem_cache_alloc" },
	{ 0xb7da86d6, "malloc_sizes" },
	{ 0xa3f2c05, "usb_control_msg" },
	{ 0x44b4693d, "__wake_up" },
	{ 0x1adb62a4, "_raw_spin_unlock" },
	{ 0x84741c31, "_raw_spin_lock" },
	{ 0xd00ec7c7, "tty_flip_buffer_push" },
	{ 0x3bb7d391, "tty_insert_flip_string_fixed_flag" },
	{ 0x3a71982, "tty_kref_put" },
	{ 0x2996d4e2, "tty_port_tty_get" },
	{ 0x9d12194a, "dev_printk" },
	{ 0xec8c492b, "dev_err" },
	{ 0x26e24349, "tty_wakeup" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x101a0c6e, "usb_submit_urb" },
	{ 0x9cd9dce, "_raw_spin_unlock_irqrestore" },
	{ 0x56f31e92, "_raw_spin_lock_irqsave" },
	{ 0xf630c13a, "dev_get_drvdata" },
	{ 0x200d26de, "printk" },
	{ 0x728549a0, "usb_serial_deregister" },
	{ 0x573e22ef, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v1608p0215d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0240d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0241d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0301d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0302d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0303d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0304d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0305d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0306d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0307d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0308d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0309d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0205d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0207d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p020Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p020Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0217d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0201d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0206d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0242d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0244d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0243d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0212d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0247d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "CA9DB8DE9C8E829F0083634");
