#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x5ed303be, "module_layout" },
	{ 0x8d2221dc, "usbnet_resume" },
	{ 0xfbe1fe57, "usbnet_suspend" },
	{ 0xe3944c34, "usbnet_disconnect" },
	{ 0x62dd53c2, "usbnet_probe" },
	{ 0x5d4fe7a1, "eth_mac_addr" },
	{ 0x84265231, "usbnet_nway_reset" },
	{ 0x795c4458, "usbnet_set_msglevel" },
	{ 0x5dac09be, "usbnet_get_msglevel" },
	{ 0xe710eba3, "usbnet_set_settings" },
	{ 0x4593357c, "usbnet_get_settings" },
	{ 0x41baccbc, "usbnet_tx_timeout" },
	{ 0x910f3ba4, "usbnet_change_mtu" },
	{ 0x198e0782, "eth_validate_addr" },
	{ 0x98809da, "usbnet_start_xmit" },
	{ 0x86fde4f3, "usbnet_stop" },
	{ 0x97228559, "usbnet_open" },
	{ 0x1a373ed8, "usb_register_driver" },
	{ 0x573e22ef, "usb_deregister" },
	{ 0x18bda55c, "netif_carrier_off" },
	{ 0xd6c33518, "usbnet_defer_kevent" },
	{ 0x95c07677, "netif_carrier_on" },
	{ 0xd7bdb56c, "usbnet_unlink_rx_urbs" },
	{ 0x8320bea8, "__umodsi3" },
	{ 0x5e318f61, "usbnet_skb_return" },
	{ 0x30e82c6c, "skb_clone" },
	{ 0x3949aab9, "skb_pull" },
	{ 0x5dbbe98e, "memmove" },
	{ 0xa99dfcdd, "skb_put" },
	{ 0xb9e0938a, "skb_push" },
	{ 0x67232160, "__dev_kfree_skb_any" },
	{ 0xcfcb988f, "skb_copy_expand" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xfaf98462, "bitrev32" },
	{ 0x92ea4ae4, "crc32_le" },
	{ 0x200d26de, "printk" },
	{ 0xe48ca439, "usb_free_urb" },
	{ 0x101a0c6e, "usb_submit_urb" },
	{ 0x9dd7d49f, "kmem_cache_alloc" },
	{ 0xb7da86d6, "malloc_sizes" },
	{ 0x458ee5db, "usb_alloc_urb" },
	{ 0x69a86dfb, "generic_mii_ioctl" },
	{ 0xb8be8f1c, "usbnet_get_drvinfo" },
	{ 0x368b6efb, "mii_link_ok" },
	{ 0xaede004e, "usbnet_get_endpoints" },
	{ 0xe17e2cae, "mii_nway_restart" },
	{ 0xae0aa18c, "mutex_unlock" },
	{ 0x66a4f30d, "mutex_lock" },
	{ 0x6067a146, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xca48be0e, "mii_ethtool_gset" },
	{ 0x14fe98aa, "mii_check_media" },
	{ 0x80966843, "netdev_err" },
	{ 0x9d12194a, "dev_printk" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3f2c05, "usb_control_msg" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A2AD01FD63A6AC1A0975E1C");
